from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComSosiety(UltmarcTable):
    """レイアウト区分009: COM_学会"""
    sosiety_cd: str    # 学会コード
    sosiety_name: str  # 学会名
    maint_flag: str     # 修正区分

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.sosiety_cd = record[1]
        self.maint_flag = record[2]
        self.sosiety_name = record[5]
